# jekyll-theme-basic

An incredibly rudimentary jekyll theme. Paper-thin, nothing but what's needed for HTML.

You can see it up and running on my [blog](https://atlas48.sdf.org/) and my [website](https://atlas48.neocities.org), which this theme was originally made for.

**NB**: This theme is still being tweaked and developed, and is on a more "rolling release" style of update.

## Layouts
### `default`
The default layout (natch). Has some things surrounding the core content.

### `page`
For non-blog related pages, this contains more content and metadata than default.

### `post`
For blog posts, this has the most metadata out of all the layouts.

### `bare`
Just a basic scaffold, nothing but boilerplate surrounding the content.

### `home`
Intended for use as a landing page. This is a mix between default and post.

## Config

This theme has a few options that one may use. Every option is under the `basic_theme` hierarchy.

### `header_links`

`Array<Object<string>[2]>`

An array of objects with two keys, `href` & `name`. Each sub-object describes a certain link element you want
on the top of the page.

**Example:**
```yaml
basic:
  header_links:
    - href: https://github.com/Atlas48
      name: GitHub
    - href: https://atlas48.neocities.org/
      name: The Archives
    - href: https://mastodon.sdf.org/@atlas48
      name: Mastodon
```

### `display_title`

`bool`

Wherever or not to display the site's title at the top of the page.
